---
apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  labels:
    kubevirt.io/vm: vm-fedora-datavolume
  name: vm-fedora-datavolume
spec:
  runStrategy: WaitAsReceiver
  updateVolumesStrategy: Migration
  template:
    metadata:
      labels:
        kubevirt.io/vm: vm-fedora-datavolume
#      annotations: 
#        kubevirt.io/libvirt-log-filters: "3:remote 4:event 3:util.json 3:util.object 3:util.dbus 3:util.netlink 3:node_device 3:rpc 3:access 1:*"
    spec:
      networks:
      - name: mig
        pod: {}
      domain:
#        cpu:
#          model: "Skylake-Server-v5"
        ioThreadsPolicy: auto
        devices:
          interfaces:
            - name: mig
              masquerade: {}
          disks:
          - disk:
              bus: virtio
            name: datavolumedisk1
          - disk:
              bus: virtio
            name: cloudinitdisk
          - disk:
              bus: scsi
            name: blank-dv
            serial: "1234567890"
        resources:
          requests:
            memory: 1024Mi
      terminationGracePeriodSeconds: 0
      volumes:
      - dataVolume:
          name: fedora-dv
        name: datavolumedisk1
      - cloudInitNoCloud:
          userData: |-
            #cloud-config
            password: fedora
            chpasswd: { expire: False }
        name: cloudinitdisk
      - dataVolume:
          hotpluggable: true
          name: blank-dv
        name: blank-dv
